KLA10759
Multiple vulnerabilities in Firefox
Updated: 03/18/2016
CVSS
?
9.3
Detect date
?
02/11/2016
Severity
?
Critical
Description

Multiple serious vulnerabilities have been found in Firefox. Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code, bypass security restrictions or obtain sensitive information.

Below is a complete list of vulnerabilities

  1. Lack of requests interception restrictions at NPAPI plugins can be exploited remotely via network traffic manipulations to bypass security restrictions; (Firefox only)
  2. Obsolete version of Graphite 2 library can be exploited remotely via a specially designed “smart font” to cause denial of service, execute arbitrary code or obtain sensitive information.

Technical details

Vulnerability (1) caused by service workers which intercepts responses to plugin network requests made through browser.

Vulnerability (2) related to multiple Libgraphit vulnerabilities listed below:

  1. TtfUtil:LocaLookup function in TtfUtil.cpp incorrectly validates size value and can be exploited remotely to cause denial of service;
  2. SillMap::readFace function in FeatureMap.cpp mishandles return value and can be exploited remotely to cause denial of service;
  3. Code.cpp does not consider recursive calls and can be exploited remotely to cause denial of service or execute arbitrary code;
  4. directrun function in directmachine.cpp does not validate certain skip operations and can be exploited remotely to cause denial of service, execute arbitrary code or obtain sensitive information.

Obsolete version of Graphite was updated at Firefox ESR 38.6.1 and Firefox 43.0.

Affected products

Mozilla Firefox versions earlier than 44.0.2
Mozilla Firefox ESR versions ealrier than 38.6.1

Solution

Update to the latest version
Get Firefox ESR
Get Firefox

Original advisories

Mozilla advisory
Mozilla advisory

Impacts
?
ACE 
[?]

OSI 
[?]

SB 
[?]

DoS 
[?]
Related products
Mozilla Firefox ESR
Mozilla Firefox
CVE-IDS
?

CVE-2016-1521
CVE-2016-1522
CVE-2016-1523
CVE-2016-1526
CVE-2016-1949